# rpmRelocation_s Struct Reference

`#include <lib/rpmlib.h>`

## Data Fields

const char * | oldPath
const char * | newPath

## Detailed Description

Definition at line 248 of file rpmlib.h.

## Field Documentation

const char* rpmRelocation_s::newPath

NULL means to omit the file completely!

Definition at line 252 of file rpmlib.h.

Referenced by addTE(), delTE(), installArgCallback(), main(), relocateFileList(), rpmcliInstall(), and rpmfiNew().

const char* rpmRelocation_s::oldPath

NULL here evals to RPMTAG_DEFAULTPREFIX,

Definition at line 250 of file rpmlib.h.

Referenced by addTE(), delTE(), installArgCallback(), main(), relocateFileList(), and rpmcliInstall().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h